<head>
<meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no,maximum-scale=1">
<%@include file="javascript.jspf" %>
 <link rel="stylesheet" href="/cms-cps/tuicommon/css/mobile.css" />
 <link rel="stylesheet" type="text/css" href="/cms-cps/tuicommon/css/acss.css"/>
 <link rel="stylesheet" type="text/css" href="/cms-cps/tuicommon/css/base.css"/>
 <link rel="stylesheet" type="text/css" href="/cms-cps/tuicommon/css/bf.css"/>
</head>
<c:set var="bookingComponent" value="${bookingInfo.bookingComponent}" scope="request" />
<div id="page" class="c">

				<jsp:include page="/tuicommon/sprocket/header.jsp" />
					<script type="text/javascript">
		var breadcrumbScroll = null;
				
		window.addEventListener("resize", function() {
			var scrollDiv = jQuery('#breadcrumb');
			setTimeout(function() {
				scrollintoView(scrollDiv)
			}, 200);
		}, false);
			jQuery(document).ready(function() {
			
			
			iframeOuterElement=document.getElementById("ACSframe"); 
			setInterval(enablePopup, 100);
			function enablePopup(){
			try{
			if(iframeOuterElement.contentDocument.getElementById("test")){
			authenticationValue= iframeOuterElement.contentDocument.getElementById("test").innerHTML;
			if(authenticationValue.trim() == "true"){
			 var loadingScreens = jQuery("#loader-screens")[0];
					loadingScreens.className += " show in";
			}
			}
			}
			catch(err){
			console.log("cross origin issue");
			}
			}

			
			
			intiateIscroll(jQuery(".scroll"));			
			initTooltip();

			var allLinksPanels = jQuery('.accordion .content').hide();		  
			jQuery('.trigger').click(function() {
				seoSection =  jQuery(".accordion > .item").toggleClass("item item open");				
				if(seoSection.hasClass('item open')) {			  
				   allLinksPanels.slideDown("fast");			   
				}else {
					allLinksPanels.slideUp("fast");			   
				}
			});			
			var accordionPanels = jQuery(".component .accordion-content").hide();
			jQuery(".accordion-trigger").click(function(e) {
				var accordionSection = jQuery(this).parent().find(".accordion-content");
				var iconCollapseExpand = jQuery(this).find(".icon-collapse-expand");
				if(jQuery(this).hasClass("open")){
					accordionSection.slideUp("fast");
					if(jQuery(this)[0].id== "summary-panel"){						
						jQuery(this)[0].removeAttribute('analytics-text','HSC');
						jQuery(this)[0].removeAttribute('analytics-id','PAYUS');
					}else if(jQuery(this)[0].id == "passenger-details"){
						jQuery(this)[0].removeAttribute('analytics-text','PDC');
						jQuery(this)[0].removeAttribute('analytics-id','PAYUS');						
					}
					
				} else {
					accordionSection.slideDown("fast");	
					if(jQuery(this)[0].id == "summary-panel"){
						jQuery(this)[0].setAttribute('analytics-text','HSC');
						jQuery(this)[0].setAttribute('analytics-id','PAYUS');
					}else if(jQuery(this)[0].id == "passenger-details"){
						jQuery(this)[0].setAttribute('analytics-text','PDC');
						jQuery(this)[0].setAttribute('analytics-id','PAYUS');
						
					}
				}
				jQuery(this).toggleClass("open");
				jQuery(iconCollapseExpand).toggleClass("icon-down");
				jQuery(iconCollapseExpand).toggleClass("icon-up");
				
			});
		});
    </script>
	<script type="text/javascript">
      var pqry = '<c:out value="${bookingComponent.intelliTrackSnippet.intelliTrackerString}"/>';
      pqry = pqry + "%26CpsServer%3D<c:out value='${param.tomcat}'/>%26PayDesign%3DB%26engine%3Dholidays";
      jQuery(document).ready(function() {
  		intiateIscroll(jQuery(".scroll"));
  	  });
   </script>
	<div id="content">
		<div class="content-width">
			<div id="customer-form" class="acss">
					<div class="payment-3ds">
						<div class="section-heading branding first">
							<h2>Nearly there... We just need to verify your card</h2>
						</div>
						<iframe id="ACSframe" name="ACSframe" class="secureframe" frameborder="0" style="overflow:auto;" src="common/bank3dwaiting.jsp?b=<c:out value='${param.b}'/>&tomcat=<c:out value='${param.tomcat}'/>">&nbsp;</iframe>

					</div>
				</div>
				<div id="side-panel">
					<div class="right-column white show-mobile payment-3ds">
						<h2>To complete your booking please verify your card</h2>
                        <p class="sectionContent">We'd like you to book online with us knowing your details are 100% secure. That's why we've introduced Verified by Visa and MasterCard SecureCode - security programmes from your card provider designed to give you even more peace of mind when paying online.</p>
                        <h2>First time you've seen this?</h2>
                        <p class="sectionContent">Registering for Verified by Visa or MasterCard SecureCode is simple. Complete your card details in the box opposite. You can then set up a personal password to use for any future purchases you make with your card on participating websites - you only need to register once. We don't store any of your details - they're provided to your card issuer securely.</p>
                        <h2>Already registered?</h2>
                        <p class="sectionContent">If you've already used Verified by Visa or MasterCard SecureCode, simply enter your personal password in the box on the left to continue your payment.</p>
                        <h2>Call us</h2>
						<p class="sectionContent">If you need any help, please call us on <b>0871 231 4691</b> (Calls cost 10p per minute plus network extras) or contact your card provider.</p>
						<p class="sectionContent">After you have submitted your details please don't click the back button on your browser until your booking has been confirmed.</p>
					</div>
				</div>
		</div>
	</div>
	
	<div class="book-flow modal" id="loader-screens">
			<div class="window">
			<div class="sk-fading-circle">
  <div class="sk-circle1 sk-circle"></div>
  <div class="sk-circle2 sk-circle"></div>
  <div class="sk-circle3 sk-circle"></div>
  <div class="sk-circle4 sk-circle"></div>
  <div class="sk-circle5 sk-circle"></div>
  <div class="sk-circle6 sk-circle"></div>
  <div class="sk-circle7 sk-circle"></div>
  <div class="sk-circle8 sk-circle"></div>
  <div class="sk-circle9 sk-circle"></div>
  <div class="sk-circle10 sk-circle"></div>
  <div class="sk-circle11 sk-circle"></div>
  <div class="sk-circle12 sk-circle"></div>
</div>
			</div>
		</div>
	<jsp:include page="/tuicommon/sprocket/footer.jsp" />
</div>
<script src="/cms-cps/tuicommon/js/iscroll-lite.js" type="text/javascript"></script>